Option Strict Off
Option Explicit On
Module Module11
    Private Declare Function ECF_NumeroIntervencoes Lib "CONVECF.DLL" (ByVal Intervencoes As String) As Integer
    Private Declare Function ECF_ContadorCupomFiscalMFD Lib "CONVECF.DLL" (ByVal CupEmitidos As String) As Integer
    Private Declare Function ECF_NumeroCuponsCancelados Lib "CONVECF.DLL" (ByVal CuponsCanc As String) As Integer
    Private Declare Function ECF_NumeroOperacoesNaoFiscais Lib "CONVECF.DLL" (ByVal Operacoes As String) As Integer
    Private Declare Function ECF_ContadoresTotalizadoresNaoFiscaisMFD Lib "CONVECF.DLL" (ByVal Contadores As String) As Integer
    Private Declare Function ECF_VerificaRelatorioGerencialMFD Lib "CONVECF.DLL" (ByVal RelGerencial As String) As Integer
    Private Declare Function ECF_ContadorComprovantesCreditoMFD Lib "CONVECF.DLL" (ByVal Comprovantes As String) As Integer
    Private Declare Function ECF_ContadorOperacoesNaoFiscaisCanceladasMFD Lib "CONVECF.DLL" (ByVal OperCanc As String) As Integer
    Private Declare Function ECF_ContadorFitaDetalheMFD Lib "CONVECF.DLL" (ByVal ContadorFita As String) As Integer
    Private Declare Function ECF_ContadorRelatoriosGerenciaisMFD Lib "CONVECF.DLL" (ByVal QTRelat As String) As Integer
    Private Declare Function ECF_NumeroReducoes Lib "CONVECF.DLL" (ByVal CRZ As String) As Integer
	
	Function NumIntervencoes() As Object
		Dim retorno As Object
		Dim Num As String
		
		Num = Space(4)

        retorno = ECF_NumeroIntervencoes(Num)


		MsgBox(" 'Nº de Intervenções' " & vbCrLf & "Status: " & retorno)
		Form1.List1.Items.Add("Nº Intervenções: " & Num)
	End Function
	
	Function NumCupomFiscal() As Object
		Dim retorno As Object
		Dim CupEmitidos As String
		
		
		CupEmitidos = Space(6)

        retorno = ECF_ContadorCupomFiscalMFD(CupEmitidos)


		MsgBox(" 'Nº de Cupons' " & vbCrLf & "Status: " & retorno)
		Form1.List1.Items.Add("Nº Cupons: " & CupEmitidos)
	End Function
	
	Function NumCuponsCancelados() As Object
		Dim retorno As Object
		Dim Cancelados As String
		
		Cancelados = Space(4)

        retorno = ECF_NumeroCuponsCancelados(Cancelados)


		MsgBox(" 'Nº de Cupons Cancelados' " & vbCrLf & "Status: " & retorno)
		Form1.List1.Items.Add("Nº Cupons Cancelados: " & Cancelados)
	End Function
	
	Function OperacoesNaoFiscais() As Object
		Dim retorno As Object
		Dim Operacoes As String
		
		Operacoes = Space(6)

        retorno = ECF_NumeroOperacoesNaoFiscais(Operacoes)


		MsgBox(" 'Nº Comprovantes Não-Fiscais' " & vbCrLf & "Status: " & retorno)
		Form1.List1.Items.Add("Nº Comprovantes Não-Fiscais: " & Operacoes)
	End Function
	
	Function ContTotalizadoresNaoFiscais() As Object
		Dim temp As Object
		Dim pos As Object
		Dim I As Object
		Dim retorno As Object
		Dim TotalNaoFiscais As String
		
		TotalNaoFiscais = Space(149)

        retorno = ECF_ContadoresTotalizadoresNaoFiscaisMFD(TotalNaoFiscais)


		MsgBox(" 'Contador dos Totalizadores Não-Fiscais' " & vbCrLf & "Status: " & retorno)
		
		Form1.List1.Items.Add("")
		Form1.List1.Items.Add("Contador dos Totalizadores Não-Fiscais:")
		

        I = 1

        pos = 1

        Do While pos > 0


            pos = InStr(1, TotalNaoFiscais, ",")


            If pos > 0 Then


                temp = Left(TotalNaoFiscais, pos - 1)

                TotalNaoFiscais = Right(TotalNaoFiscais, Len(TotalNaoFiscais) - pos)



                Form1.List1.Items.Add("    " & Right("0" & CStr(I), 2) & ": " & temp)

                I = I + 1
            End If

        Loop


        Form1.List1.Items.Add("    " & I & ": " & TotalNaoFiscais)

    End Function

    Function RGerencial() As Object
        Dim temp As Object
        Dim pos As Object
        Dim I As Object
        Dim retorno As Object
        Dim RelGer As String

        RelGer = Space(659)

        retorno = ECF_VerificaRelatorioGerencialMFD(RelGer)


        MsgBox(" 'Contador dos Relatório' " & vbCrLf & "Status: " & retorno)

        Form1.List1.Items.Add("")
        Form1.List1.Items.Add("Contador dos Relatório:")


        I = 1

        pos = 1

        Do While pos > 0


            pos = InStr(1, RelGer, ",")


            If pos > 0 Then


                temp = Left(RelGer, pos - 1)

                RelGer = Right(RelGer, Len(RelGer) - pos)



                Form1.List1.Items.Add("    " & Right("0" & CStr(I), 2) & ": " & temp)

                I = I + 1
            End If


        Loop


        Form1.List1.Items.Add("    " & I & ": " & RelGer)
        Form1.List1.Items.Add("")
    End Function
	
	Function NumComprovantesCredito() As Object
		Dim retorno As Object
		Dim Tef As String
		
		Tef = Space(4)

        retorno = ECF_ContadorComprovantesCreditoMFD(Tef)


		MsgBox(" 'Contador dos Comprovantes Crédito' " & vbCrLf & "Status: " & retorno)
		Form1.List1.Items.Add("Nº TEF: " & Tef)
	End Function
	
	Function OperacoesNFCanceladas() As Object
		Dim retorno As Object
		Dim NFCanc As String
		
		NFCanc = Space(4)

        retorno = ECF_ContadorOperacoesNaoFiscaisCanceladasMFD(NFCanc)


		MsgBox(" 'Contador de Operações Não-Fiscais Canceladas' " & vbCrLf & "Status: " & retorno)
		Form1.List1.Items.Add("Cancelamentos Não-Fiscal: " & NFCanc)
		
	End Function
	
	Function ContadorMFD() As Object
		Dim retorno As Object
		Dim ContFita As String
		
		ContFita = Space(6)

        retorno = ECF_ContadorFitaDetalheMFD(ContFita)


		MsgBox(" 'Contador de Fita Detalhe' " & vbCrLf & "Status: " & retorno)
		Form1.List1.Items.Add("Contador de Fita detalhe: " & ContFita)
	End Function
	
	Function ContadorRG() As Object
		Dim retorno As Object
		Dim RG As String
		
		RG = Space(6)

        retorno = ECF_ContadorRelatoriosGerenciaisMFD(RG)


		MsgBox(" 'Contador Geral de Relatório Gerencial' " & vbCrLf & "Status: " & retorno)
		Form1.List1.Items.Add("Contador de Gerencial: " & RG)
	End Function
	
	Function ContadorRZ() As Object
		Dim retorno As Object
		Dim RZ As String
		
		RZ = Space(4)

        retorno = ECF_NumeroReducoes(RZ)


		MsgBox(" 'Contador de Redução Z' " & vbCrLf & "Status: " & retorno)
		Form1.List1.Items.Add("Contador de Redução Z: " & RZ)
	End Function
End Module